LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 01-20-2008, 10:43 AM   #1
skie_knite007
Member
 
Registered: Dec 2004
Location: India
Distribution: Fedora Core 4
Posts: 145

Rep: Reputation: 15
Question Mplayer install using YUM fails


Hi folks,

I tried installing mplayer using yum on my fedora 8 . It fails showing the following error:
--> Finished Dependency Resolution
Error: Missing Dependency: libdvdnavmini.so.4 is needed by package mplayer
Error: Missing Dependency: recode is needed by package enca
Error: Missing Dependency: libfribidi.so.0 is needed by package mplayer
Error: Missing Dependency: librecode.so.0 is needed by package enca
Error: Missing Dependency: libslang-utf8.so.1 is needed by package aalib
Error: Missing Dependency: libcaca.so.0 is needed by package mplayer
Error: Missing Dependency: libcucul.so.0 is needed by package mplayer


Won't yum resolve dependencies???

Please help me in solving this problem!!!!!!!!!!!!
 
Old 01-20-2008, 11:00 AM   #2
sycamorex
LQ Veteran
 
Registered: Nov 2005
Location: London
Distribution: Slackware64-current
Posts: 5,533
Blog Entries: 1

Rep: Reputation: 999Reputation: 999Reputation: 999Reputation: 999Reputation: 999Reputation: 999Reputation: 999Reputation: 999
As far as I remember mplayer is part of the Livna repository? Perhaps it's not enabled on your system
 
Old 01-20-2008, 11:05 AM   #3
skie_knite007
Member
 
Registered: Dec 2004
Location: India
Distribution: Fedora Core 4
Posts: 145

Original Poster
Rep: Reputation: 15
The package livna-release-8-1 is already installed.
But still the problem persists
 
Old 01-20-2008, 11:14 AM   #4
deepumnit
Member
 
Registered: Dec 2006
Location: NOIDA, India
Distribution: Debian, SUSE, Fedora
Posts: 334
Blog Entries: 1

Rep: Reputation: 31
Check your repo file. I have successfully installed MPlayer using yum utility of Fedora 8.
 
Old 01-20-2008, 11:21 AM   #5
skie_knite007
Member
 
Registered: Dec 2004
Location: India
Distribution: Fedora Core 4
Posts: 145

Original Poster
Rep: Reputation: 15
I ve got the following in my yum.repos.d directory
fedora-development.repo fedora-updates-testing.repo mirrors-rpmforge
Fedora-install-media.repo livna-devel.repo rpmforge.repo
fedora.repo livna.repo
fedora-updates.repo livna-testing.repo

Please tell me which repo did u use...
 
Old 01-20-2008, 11:36 AM   #6
deepumnit
Member
 
Registered: Dec 2006
Location: NOIDA, India
Distribution: Debian, SUSE, Fedora
Posts: 334
Blog Entries: 1

Rep: Reputation: 31
My /etc/yum.repos.d/fedora.repo looks like:

Code:
[fedora]
name=Fedora $releasever - $basearch
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-$releasever&arch=$basearch
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY

[fedora-debuginfo]
name=Fedora $releasever - $basearch - Debug
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever/Everything/$basearch/debug/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-debug-$releasever&arch=$basearch
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY

[fedora-source]
name=Fedora $releasever - Source
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever/Everything/source/SRPMS/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-source-$releasever&arch=$basearch
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY
 
Old 01-20-2008, 11:49 AM   #7
skie_knite007
Member
 
Registered: Dec 2004
Location: India
Distribution: Fedora Core 4
Posts: 145

Original Poster
Rep: Reputation: 15
Its the same for me...

What else could be wrong?
 
Old 01-20-2008, 12:02 PM   #8
custangro
Senior Member
 
Registered: Nov 2006
Location: California
Distribution: Fedora , CentOS , Solaris 10, RHEL
Posts: 1,933
Blog Entries: 1

Rep: Reputation: 188Reputation: 188
Hmmm....me to....interesting....maybe try...

Code:
yum -y update && yum -y install mplayer
 
Old 01-20-2008, 12:05 PM   #9
skie_knite007
Member
 
Registered: Dec 2004
Location: India
Distribution: Fedora Core 4
Posts: 145

Original Poster
Rep: Reputation: 15
Still its not working
Quote:
[root@localhost firefox]# yum -y update && yum -y install mplayer
Setting up Update Process
No Packages marked for Update
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package mplayer.i386 0:1.0-0.88.rc2.lvn8 set to be updated
--> Processing Dependency: libcucul.so.0 for package: mplayer
--> Processing Dependency: liblzo2.so.2 for package: mplayer
--> Processing Dependency: libfribidi.so.0 for package: mplayer
--> Processing Dependency: liblirc_client.so.0 for package: mplayer
--> Processing Dependency: libdvdread.so.3 for package: mplayer
--> Processing Dependency: libdvdnavmini.so.4 for package: mplayer
--> Processing Dependency: libenca.so.0 for package: mplayer
--> Processing Dependency: libcaca.so.0 for package: mplayer
--> Processing Dependency: libxvidcore.so.4 for package: mplayer
--> Processing Dependency: libdca.so.0 for package: mplayer
--> Processing Dependency: libaa.so.1 for package: mplayer
--> Running transaction check
---> Package lirc.i386 0:0.6.6-4.1.fc3.rf set to be updated
---> Package libdvdread.i386 0:0.9.7-1.fc3.rf set to be updated
--> Processing Dependency: libdvdcss >= 1.2.5 for package: libdvdread
---> Package lzo2.i386 0:2.02-2.fc3.rf set to be updated
---> Package mplayer.i386 0:1.0-0.88.rc2.lvn8 set to be updated
--> Processing Dependency: libcucul.so.0 for package: mplayer
--> Processing Dependency: libfribidi.so.0 for package: mplayer
--> Processing Dependency: libdvdnavmini.so.4 for package: mplayer
--> Processing Dependency: libcaca.so.0 for package: mplayer
---> Package libdca.i386 0:0.0.5-2.lvn8 set to be updated
---> Package xvidcore.i386 0:1.1.3-1.lvn8 set to be updated
---> Package aalib.i386 0:1.4.0-5.1.fc3.rf set to be updated
--> Processing Dependency: libslang-utf8.so.1 for package: aalib
---> Package enca.i386 0:1.9-3.fc3.rf set to be updated
--> Processing Dependency: librecode.so.0 for package: enca
--> Processing Dependency: recode for package: enca
--> Running transaction check
---> Package libdvdcss.i386 0:1.2.9-4.lvn6 set to be updated
---> Package mplayer.i386 0:1.0-0.88.rc2.lvn8 set to be updated
--> Processing Dependency: libcucul.so.0 for package: mplayer
--> Processing Dependency: libfribidi.so.0 for package: mplayer
--> Processing Dependency: libdvdnavmini.so.4 for package: mplayer
--> Processing Dependency: libcaca.so.0 for package: mplayer
---> Package aalib.i386 0:1.4.0-5.1.fc3.rf set to be updated
--> Processing Dependency: libslang-utf8.so.1 for package: aalib
---> Package enca.i386 0:1.9-3.fc3.rf set to be updated
--> Processing Dependency: librecode.so.0 for package: enca
--> Processing Dependency: recode for package: enca
--> Finished Dependency Resolution
Error: Missing Dependency: libdvdnavmini.so.4 is needed by package mplayer
Error: Missing Dependency: recode is needed by package enca
Error: Missing Dependency: libfribidi.so.0 is needed by package mplayer
Error: Missing Dependency: librecode.so.0 is needed by package enca
Error: Missing Dependency: libslang-utf8.so.1 is needed by package aalib
Error: Missing Dependency: libcaca.so.0 is needed by package mplayer
Error: Missing Dependency: libcucul.so.0 is needed by package mplayer


 
Old 01-20-2008, 02:53 PM   #10
custangro
Senior Member
 
Registered: Nov 2006
Location: California
Distribution: Fedora , CentOS , Solaris 10, RHEL
Posts: 1,933
Blog Entries: 1

Rep: Reputation: 188Reputation: 188
A long shot...but try...

Code:
 
yum install ibdvdnavmini.so.4 recode libfribidi.so.0 librecode.so.0 libslang-utf8.so.1 libcaca.so.0 libcucul.so.0 && yum -y install mplayer
 
Old 01-20-2008, 07:36 PM   #11
skie_knite007
Member
 
Registered: Dec 2004
Location: India
Distribution: Fedora Core 4
Posts: 145

Original Poster
Rep: Reputation: 15
Yup I tried that.. but the dependent packages are unavailable in the repo.


No package ibdvdnavmini.so.4 available.
No package recode available.
No package libfribidi.so.0 available.
No package librecode.so.0 available.
No package libslang-utf8.so.1 available.
No package libcaca.so.0 available.
No package libcucul.so.0 available.
 
Old 01-20-2008, 08:19 PM   #12
lazlow
Senior Member
 
Registered: Jan 2006
Posts: 4,362

Rep: Reputation: 171Reputation: 171
You have a repo conflict.

It often happens when you mix third party repos. In this case you have rpmforge and Livna (which often conflict). What happens is this: Package A from Livna is not exactly the same as Package A from rpmforge. Now you go to install Package B from Livna which requires Package A but you have Package A installed from rpmforge, so yum spits out the error that a dependency(Package A from Livna) is not there. You can most easily get around this by using only one third party repo.
 
Old 01-21-2008, 12:42 AM   #13
deepumnit
Member
 
Registered: Dec 2006
Location: NOIDA, India
Distribution: Debian, SUSE, Fedora
Posts: 334
Blog Entries: 1

Rep: Reputation: 31
Code:
Error: Missing Dependency: libdvdnavmini.so.4 is needed by package mplayer
Error: Missing Dependency: recode is needed by package enca
Error: Missing Dependency: libfribidi.so.0 is needed by package mplayer
Error: Missing Dependency: librecode.so.0 is needed by package enca
Error: Missing Dependency: libslang-utf8.so.1 is needed by package aalib
Error: Missing Dependency: libcaca.so.0 is needed by package mplayer
Error: Missing Dependency: libcucul.so.0 is needed by package mplayer
Yeah, Lazlow gave the reason for this.
 
Old 01-21-2008, 10:00 AM   #14
skie_knite007
Member
 
Registered: Dec 2004
Location: India
Distribution: Fedora Core 4
Posts: 145

Original Poster
Rep: Reputation: 15
lazlow,

I disabled rpmforge and tried using the repo livna alone. Still the problem persists.

Similarly i tried with rpmforge alone.....but in vain.....
 
Old 01-21-2008, 04:50 PM   #15
philwynk
Member
 
Registered: Sep 2007
Posts: 84

Rep: Reputation: 15
Odd... On my new Fedora 8 install, I just installed the livna rpm (http://rpm.livna.org/livna-release-8.rpm), and then simply "yum install mplayer," and it installed without a hitch.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
cant use yum to install xine and mplayer WhiskeyTangoFoxtrot Linux - Newbie 7 11-09-2009 12:53 AM
i am getting no argument nothing to do when i try yum install mplayer on centos 4.4 Laurkin LinuxQuestions.org Member Intro 3 06-11-2007 04:09 AM
Yum Fails During Install process Misterfixit Linux - Newbie 12 04-04-2007 09:35 AM
yum -y install yumex - Fails! rayj00 Linux - Software 7 10-03-2006 03:09 AM
RE: Can I install xine or mplayer by just using yum? MunCH Red Hat 2 06-13-2004 08:33 AM


All times are GMT -5. The time now is 03:02 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration